net.minecraft.server.management

## Class ItemInWorldManager

- java.lang.Object
- - net.minecraft.server.management.ItemInWorldManager

- Direct Known Subclasses:
    DemoWorldManager

      public class ItemInWorldManager
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `World` | `theWorld`
    `EntityPlayerMP` | `thisPlayerMP`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ItemInWorldManager(World par1World)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `activateBlockOrUseItem(EntityPlayer par1EntityPlayer, World par2World, ItemStack par3ItemStack, int par4, int par5, int par6, int par7, float par8, float par9, float par10)`
    `void` | `cancelDestroyingBlock(int par1, int par2, int par3)`
    `double` | `getBlockReachDistance()`
    `WorldSettings.GameType` | `getGameType()`
    `void` | `initializeGameType(WorldSettings.GameType par1EnumGameType)`
    `boolean` | `isCreative()`
    `void` | `onBlockClicked(int par1, int par2, int par3, int par4)`
    `void` | `setBlockReachDistance(double distance)`
    `void` | `setGameType(WorldSettings.GameType par1EnumGameType)`
    `void` | `setWorld(WorldServer par1WorldServer)`
    `boolean` | `tryHarvestBlock(int par1, int par2, int par3)`
    `boolean` | `tryUseItem(EntityPlayer par1EntityPlayer, World par2World, ItemStack par3ItemStack)`
    `void` | `uncheckedTryHarvestBlock(int par1, int par2, int par3)`
    `void` | `updateBlockRemoving()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### theWorld

          public World theWorld

    - #### thisPlayerMP

          public EntityPlayerMP thisPlayerMP

  - ### Constructor Detail

    - #### ItemInWorldManager

          public ItemInWorldManager(World par1World)

  - ### Method Detail

    - #### setGameType

          public void setGameType(WorldSettings.GameType par1EnumGameType)

    - #### getGameType

          public WorldSettings.GameType getGameType()

    - #### isCreative

          public boolean isCreative()

    - #### initializeGameType

          public void initializeGameType(WorldSettings.GameType par1EnumGameType)

    - #### updateBlockRemoving

          public void updateBlockRemoving()

    - #### onBlockClicked

          public void onBlockClicked(int par1,
                            int par2,
                            int par3,
                            int par4)

    - #### uncheckedTryHarvestBlock

          public void uncheckedTryHarvestBlock(int par1,
                                      int par2,
                                      int par3)

    - #### cancelDestroyingBlock

          public void cancelDestroyingBlock(int par1,
                                   int par2,
                                   int par3)

    - #### tryHarvestBlock

          public boolean tryHarvestBlock(int par1,
                                int par2,
                                int par3)

    - #### tryUseItem

          public boolean tryUseItem(EntityPlayer par1EntityPlayer,
                           World par2World,
                           ItemStack par3ItemStack)

    - #### activateBlockOrUseItem

          public boolean activateBlockOrUseItem(EntityPlayer par1EntityPlayer,
                                       World par2World,
                                       ItemStack par3ItemStack,
                                       int par4,
                                       int par5,
                                       int par6,
                                       int par7,
                                       float par8,
                                       float par9,
                                       float par10)

    - #### setWorld

          public void setWorld(WorldServer par1WorldServer)

    - #### getBlockReachDistance

          public double getBlockReachDistance()

    - #### setBlockReachDistance

          public void setBlockReachDistance(double distance)